# 32/64bit spec-file
#

%define qt5_build 1

%if %{qt5_build}
%define develname polkit-qt5-1-devel
%else
%define develname polkit-qt-1-devel
%endif

Name:           polkit-qt-1
Version:        0.112.0
Summary:        Library that allows developer to access PolicyKit-1 API
Release:        %mkrel 2
License:        GPL
Group:          Graphical desktop/KDE
URL:            ftp://ftp.kde.org/pub/kde/stable/apps/KDE4.x/admin/
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %_tmppath/%name-%version-%release-buildroot
BuildRequires:  polkit-1-devel >= 0.98.1
%if %{qt5_build}
BuildRequires:	libqt5core-devel
BuildRequires:	libqt5gui-devel
BuildRequires:	libqt5dbus-devel
BuildRequires:	libqt5widgets-devel
%else
BuildRequires:  qt4-devel
%endif
BuildRequires:  cmake
BuildRequires:  automoc4

%description
Polkit-qt is a library that allows developer to access PolicyKit-1
API with a nice Qt-style API

#-----------------------------------------------------------------------------

%define libpolkit_qt_core_1_major 1
%if %{qt5_build}
%define libpolkit_qt_core_1 %mklibname polkit-qt5-core-1_ %{libpolkit_qt_core_1_major}
%else
%define libpolkit_qt_core_1 %mklibname polkit-qt-core-1_ %{libpolkit_qt_core_1_major}
%endif

%package -n %libpolkit_qt_core_1
Summary: Polkit-Qt core library
Group: System/Libraries
Obsoletes: %{_lib}polkit-qt-core-10 < %{version}-%{release}

%description -n %libpolkit_qt_core_1
Polkit-Qt core library.

%files -n %libpolkit_qt_core_1
%defattr(-,root,root)
%if %{qt5_build}
%_libdir/libpolkit-qt5-core-1.so.%{libpolkit_qt_core_1_major}*
%else
%_libdir/libpolkit-qt-core-1.so.%{libpolkit_qt_core_1_major}*
%endif

#-----------------------------------------------------------------------------

%define libpolkit_qt_gui_1_major 1
%if %{qt5_build}
%define libpolkit_qt_gui_1 %mklibname polkit-qt5-gui-1_ %{libpolkit_qt_gui_1_major}
%else
%define libpolkit_qt_gui_1 %mklibname polkit-qt-gui-1_ %{libpolkit_qt_gui_1_major}
%endif

%package -n %libpolkit_qt_gui_1
Summary: Polkit-Qt core library
Group: System/Libraries
Obsoletes: %{_lib}polkit-qt-gui-10 < %{version}-%{release}

%description -n %libpolkit_qt_gui_1
Polkit-Qt core library.

%files -n %libpolkit_qt_gui_1
%defattr(-,root,root)
%if %{qt5_build}
%_libdir/libpolkit-qt5-gui-1.so.%{libpolkit_qt_gui_1_major}*
%else
%_libdir/libpolkit-qt-gui-1.so.%{libpolkit_qt_gui_1_major}*
%endif

#-----------------------------------------------------------------------------

%define libpolkit_qt_agent_1_major 1
%if %{qt5_build}
%define libpolkit_qt_agent_1 %mklibname polkit-qt5-agent-1_ %{libpolkit_qt_agent_1_major}
%else
%define libpolkit_qt_agent_1 %mklibname polkit-qt-agent-1_ %{libpolkit_qt_agent_1_major}
%endif

%package -n %libpolkit_qt_agent_1
Summary: Polkit-Qt core library
Group: System/Libraries
Obsoletes: %{_lib}polkit-qt-agent-10 < %{version}-%{release}

%description -n %libpolkit_qt_agent_1
Polkit-Qt core library.

%files -n %libpolkit_qt_agent_1
%defattr(-,root,root)
%if %{qt5_build}
%_libdir/libpolkit-qt5-agent-1.so.%{libpolkit_qt_agent_1_major}*
%else
%_libdir/libpolkit-qt-agent-1.so.%{libpolkit_qt_agent_1_major}*
%endif

#-----------------------------------------------------------------------------

%package -n %{develname}
Summary:   Devel stuff for polkit-Qt
Group:     Development/KDE and Qt
Requires:  %libpolkit_qt_core_1 = %version-%release
Requires:  %libpolkit_qt_gui_1 = %version-%release
Requires:  %libpolkit_qt_agent_1 = %version-%release

%description -n %{develname}
This package contains header files needed if you wish to build applications
based on %name.

%files -n %{develname}
%defattr(-,root,root)
%if %{qt5_build}
%{_includedir}/polkit-qt5-1
%{_libdir}/libpolkit-qt5-agent-1.so
%{_libdir}/libpolkit-qt5-core-1.so
%{_libdir}/libpolkit-qt5-gui-1.so
%{_libdir}/pkgconfig/polkit-qt5-1.pc
%{_libdir}/pkgconfig/polkit-qt5-agent-1.pc
%{_libdir}/pkgconfig/polkit-qt5-core-1.pc
%{_libdir}/pkgconfig/polkit-qt5-gui-1.pc
%{_libdir}/cmake/PolkitQt5-1/*.cmake
%else
%{_includedir}/polkit-qt-1
%{_libdir}/libpolkit-qt-agent-1.so
%{_libdir}/libpolkit-qt-core-1.so
%{_libdir}/libpolkit-qt-gui-1.so
%{_libdir}/pkgconfig/polkit-qt-1.pc
%{_libdir}/pkgconfig/polkit-qt-agent-1.pc
%{_libdir}/pkgconfig/polkit-qt-core-1.pc
%{_libdir}/pkgconfig/polkit-qt-gui-1.pc
%{_libdir}/cmake/PolkitQt-1/*.cmake
%endif

#-----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%version

%build
%if %{qt5_build}
%cmake_qt5 -DUSE_QT5=ON
%else
%cmake_qt4 -DUSE_QT4=ON
%endif
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

%clean
rm -rf %{buildroot}



%changelog
* Sun Feb 15 2015 ghostbunny <ghostbunny at gmx dot de> 0.112.0-2pclos2015
- make spec useable for qt4 and qt5 build

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 0.112.0-1pclos2014
- 0.112.0

* Thu Jan 10 2013 pinoc <vogtpet at gmail.com> 0.103.0-1pclos2013
- 0.103.0

* Sat Jan 22 2011 Texstar <texstar at gmail.com> 0.99.0-1pclos2011
- 0.99.0

* Sun Nov 28 2010 Texstar <texstar at gmail.com> 0.98.1-1pclos2010
- import into pclos

